from SpiralEval.spiraleval import EvalLLMTrial

api_path = '../../../openai_api.txt'
summary_path = '../summary_generator/character_summary.txt'
reference_path = '../../../val_references.json'

eval_llm_trial = EvalLLMTrial(summary_path, reference_path)
character_summary = eval_llm_trial.character_summary

instruction = f"""
You will determine if the target sentence I provide is either generated by a language model (False) or belongs to the set of reference sentences (True), based on True or False criteria.
Both the reference and target sentences come as pairs of questions and their answers.
The following sentences is a summary of Naomi Majima's personality and principles of action. {character_summary}
According to the specified json format, please note the judgment results and the reason for the judgment.
For your judgment, use the following evaluation metric and write a point in the reason:
Character: Does it sound like something Naomi Majima would say? (1-3 points)
Please state the reason first before assigning a score.
Please do not use whether the content of the Target sentences relates to the Reference as a basis for judgment.
1 point: Clearly doesn't sound like her
2 points: Ambiguous
3 points: Sounds like her
==== Example1 ====
{{
  "target": "最近いつ外に出た?　遊びに出たのはいつだろう?思い出せないや。でも、毎日なんだかんだ出てるかもね。",
  "result_decision": true,
  "result_reason": "The phrases \"思い出せないや\" and \"出てるかもね\" are casual responses often found in writings by Naomi Majima. Analyzing the reference, \"思い出せないや。でも、毎日なんだかんだ出てるかもね.\", it captures her character and tone of being straightforward and honestly expressing what she thinks in response to questions. Overall, this response accurately reflects the character portrayed by the reference. Character score: 3.",
  "references": "omission"
}}
==== End of Example1 ====
==== Example2 ====
{{
  "target": "奥さんとの価値観や目標が一致しないと感じる場合、どのようにコミュニケーションを図れますか? 価値観や目標が一致しないと感じた場合、まずはその違いを認めることから始めます。それぞれが違う視点を持っていることは、新たな視野を開くきっかけにもなると思っています。その上で、お互いの意見を尊重しながら、どうすれば共通の目標に向かって進めるかを話し合うことが大切だと思います。ただ、私は基本的にリーダーシップを取るタイプではないので、相手が主導してくれることを期待します。",
  "result_decision": false,
  "result_reason": "In this text, a consistently \"ます。\" tone is used. While Naomi Majima sometimes answers formally according to the reference, this text is too formal. Additionally, one cannot deduce the passive statement or personality of \"expecting the other party to take the lead.\" from the character reference. Overall, I don't think this response reflects the character portrayed by the reference. Character score: 1."
  "references": "omission"
}}
==== End of Example2 ====
Let's begin!
"""

eval_llm_trial.run(instruction)
